import { geoEqualEarth, geoPath, geoConicConformal, geoOrthographic,geoAlbers } from 'd3';

const projection = geoAlbers()
	.center([0,41.9])
  .rotate([71.727,0])
  .parallels([41,44])
	.scale(13000);
const path = geoPath(projection);
//const path = (topojasonData) => { 
// const {ma} = topojsonData.objects;
//geoPath(projection.fitExtent([[20, 20], [940, 480]], ma))};
export const Marks = ({MassGeo, CrimeData,sizeScale, sizeValue}) => (
  
  <g className="marks">
  {MassGeo.features.map(feature=>(

  <path d={path(feature)} />
	))}
    {CrimeData.map(d=> {
  const [x,y] = projection([d.lon, d.lat]);
      return <circle cx ={x} cy= {y} r= {sizeScale(sizeValue(d))}/>
		})}
    
  
  </g>
);
